Package pygccxml :: Package msvc :: Module bsc_impl_details :: Class definition_t

# Class definition_t

source code

    object --+
             |
            definition_t

Instance Methods

__init__(self, def_id, bsc) | source code

def_id(self) | source code

location(self) | source code

file_name(self) | source code

line(self) | source code

__str__(self) | source code

as_instance(self) | source code

Method Details

### __init__(self, def_id, bsc)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### def_id(self)

source code

Decorators:
  - `@property`

### location(self)

source code

Decorators:
  - `@utils.cached`

### file_name(self)

source code

Decorators:
  - `@utils.cached`

### line(self)

source code

Decorators:
  - `@utils.cached`

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

### as_instance(self)

source code

Decorators:
  - `@utils.cached`